#ifndef DIALOGIMPORTNZB_H
#define DIALOGIMPORTNZB_H

#include <QDialog>
#include "QNNTPGrabGlue.h"

namespace Ui {
    class DialogImportNZB;
}

class DialogImportNZB : public QDialog {
    Q_OBJECT
public:
    DialogImportNZB(QNNTPGrabGlue *glue, QWidget *parent = 0);
    ~DialogImportNZB();

protected:
    void changeEvent(QEvent *e);
    void mousePressEvent(QMouseEvent *event);

private:
    Ui::DialogImportNZB *ui;
    QNNTPGrabGlue *glue;
    QNNTPGrabGlue::NZB nzbfile;

    void loadNZBFile(void);
    void doImportNZB(QString collection_name);

private slots:
    void btnSelectNZBFile_clicked(void);
    void btnSelectAll_clicked(void);
    void btnSelectNone_clicked(void);
    void btnCancel_clicked(void);
    void btnAdd_clicked(void);
};

#endif // DIALOGIMPORTNZB_H
