#ifndef FORMDEBUG_H
#define FORMDEBUG_H

#include <QWidget>
#include "QNNTPGrabGlue.h"

namespace Ui {
    class FormDebug;
}

class FormDebug : public QWidget
{
    Q_OBJECT

public:
    explicit FormDebug(QNNTPGrabGlue *glue, QWidget *parent = 0);
    ~FormDebug();

private:
    Ui::FormDebug *ui;
    QNNTPGrabGlue *glue;

private slots:
    void logMessage(QString component, QNNTPGrabGlue::LogLevel log_level, QString msg);
};

#endif // FORMDEBUG_H
