/*
    Copyright (C) 2005-2010  Erik van Pienbroek

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <glib.h>
#include "nntpgrab_utils.h"

NGList *
ng_list_append (NGList *list, void *data)
{
    return (NGList*) g_list_append((GList*) list, data);
}

NGList*
ng_list_prepend (NGList *list, void *data)
{
    return (NGList*) g_list_prepend((GList*) list, data);
}

NGList*
ng_list_remove (NGList *list, void *data)
{
    return (NGList*) g_list_remove((GList*) list, data);
}

unsigned int
ng_list_length (NGList *list)
{
    return g_list_length((GList*) list);
}

void
ng_list_free(NGList *list)
{
    g_list_free((GList*) list);
}

void
ng_free(void *data)
{
    g_free(data);
}
