#ifndef DIALOGCONNECT_H
#define DIALOGCONNECT_H

#include <QDialog>
#include "mainwindow.h"

namespace Ui {
    class DialogConnect;
}

class DialogConnect : public QDialog {
    Q_OBJECT
public:
    DialogConnect(QWidget *parent = 0);
    ~DialogConnect();

protected:
    void changeEvent(QEvent *e);

private:
    Ui::DialogConnect *ui;
    MainWindow *w;

    void doConnect(QString hostname, int port);

private slots:
    void on_btnConnect_clicked();
    void on_btnStartStandalone_clicked();
};

#endif // DIALOGCONNECT_H
