#include "WidgetConfigNotifications.h"
#include "ui_WidgetConfigNotifications.h"

WidgetConfigNotifications::WidgetConfigNotifications(QNNTPGrabGlue *glue,QWidget *parent) :
    QWidget(parent),
    ui(new Ui::WidgetConfigNotifications)
{
//    ConfigGUIOpts opts = glue->configGetGUIOpts();

    ui->setupUi(this);

    this->glue = glue;

//    ui->chkNotificationDownloadComplete->setChecked(opts.show_notification_on_file_downloaded);
//    ui->chkNotificationFileDecoded->setChecked(opts.show_notification_on_file_decoded);

    connect(ui->chkNotificationFileDownloaded, SIGNAL(toggled(bool)), SLOT(chkNotificationFileDownloaded_toggled(bool)));
    connect(ui->chkNotificationFileDecoded, SIGNAL(toggled(bool)), SLOT(chkNotificationFileDecoded_toggled(bool)));

}

WidgetConfigNotifications::~WidgetConfigNotifications()
{
    delete ui;
}

void WidgetConfigNotifications::changeEvent(QEvent *e)
{
    QWidget::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}

void WidgetConfigNotifications::chkNotificationFileDownloaded_toggled(bool toggled)
{
    qDebug("chkNotificationFileDownloaded_toggled: toggled = %i", toggled);
}

void WidgetConfigNotifications::chkNotificationFileDecoded_toggled(bool toggled)
{
    qDebug("chkNotificationFileDecoded_toggled: toggled = %i", toggled);
}

