#ifndef WIDGETCONFIGNOTIFICATIONS_H
#define WIDGETCONFIGNOTIFICATIONS_H

#include <QWidget>
#include <QNNTPGrabGlue.h>

namespace Ui {
    class WidgetConfigNotifications;
}

class WidgetConfigNotifications : public QWidget {
    Q_OBJECT
public:
    WidgetConfigNotifications(QNNTPGrabGlue *glue, QWidget *parent = 0);
    ~WidgetConfigNotifications();

protected:
    void changeEvent(QEvent *e);

private:
    Ui::WidgetConfigNotifications *ui;
    QNNTPGrabGlue *glue;

private slots:
    void chkNotificationFileDownloaded_toggled(bool toggled);
    void chkNotificationFileDecoded_toggled(bool toggled);
};

#endif // WIDGETCONFIGNOTIFICATIONS_H
