#include "WidgetTrafficMonitor.h"
#include "ui_WidgetTrafficMonitor.h"

WidgetTrafficMonitor::WidgetTrafficMonitor(QNNTPGrabGlue *glue, QWidget *parent) :
    QWidget(parent),
    ui(new Ui::WidgetTrafficMonitor)
{
    ui->setupUi(this);

    this->glue = glue;
    connect(glue, SIGNAL(trafficMonitorUpdate(int,int,int,int,int,int,int,int,int,int,time_t,double)), SLOT(onTrafficMonitorUpdate(int,int,int,int,int,int,int,int,int,int,time_t,double)));
}

WidgetTrafficMonitor::~WidgetTrafficMonitor()
{
    delete ui;
}

void WidgetTrafficMonitor::changeEvent(QEvent *e)
{
    QWidget::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}

void WidgetTrafficMonitor::onTrafficMonitorUpdate(int bytes_received1, int bytes_received2, int bytes_received3, int bytes_received4, int bytes_received5, int bytes_received6, int bytes_received7, int bytes_received8, int bytes_received9, int bytes_received10, time_t stamp, double average)
{
    //Q_UNUSED(bytes_received);
    //qDebug(QString("onTrafficMonitorUpdate: stamp = %1, average = %2").arg(stamp, average).toUtf8().data());
}
